Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class LogOrphanedKeyAction

    java.lang.Object
      |
      +--kodo.event.LogOrphanedKeyAction

All Implemented Interfaces:
  OrphanedKeyAction

public class LogOrphanedKeyAction
extends Object
implements OrphanedKeyAction

Log a message when an orphaned key is discovered.

Since:
  3.2.2

Constructor Summary
`LogOrphanedKeyAction()`

Method Summary
`String` | `getChannel()` The channel to log to.
`short` | `getLevel()` The level to log at.
`Object` | `orphan(Object oid, KodoStateManager sm, FieldMetaData fmd)` Callback received when Kodo discovers an orphaned key.
`void` | `setChannel(String channel)` The channel to log to.
`void` | `setLevel(short level)` The level to log at.
`void` | `setLevel(String level)` The level to log at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogOrphanedKeyAction

    public LogOrphanedKeyAction()

Method Detail

### getChannel

    public String getChannel()

  The channel to log to. Defaults to `kodo.Runtime`.

### setChannel

    public void setChannel(String channel)

  The channel to log to. Defaults to `kodo.Runtime`.

### getLevel

    public short getLevel()

  The level to log at. Defaults to `WARN`.

### setLevel

    public void setLevel(short level)

  The level to log at. Defaults to `WARN`.

### setLevel

    public void setLevel(String level)

  The level to log at. Defaults to `WARN`.

### orphan

    public Object orphan(Object oid,
                         KodoStateManager sm,
                         FieldMetaData fmd)

  Description copied from interface: `OrphanedKeyAction`
  Callback received when Kodo discovers an orphaned key.
  Specified by:
    `orphan` in interface `OrphanedKeyAction`
  Following copied from interface: `kodo.event.OrphanedKeyAction`
  Parameters:
    `oid` - the orphaned key
    `sm` - the instance representing the record in which the key was discovered
    `fmd` - the field in which the key was discovered
  Returns:
    the value to load into field `fmd`; typically `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.